Package org.apache.commons.math3.linear

# Interface FieldMatrixChangingVisitor<T extends FieldElement<?>>

Type Parameters:
  `T` - the type of the field elements

All Known Implementing Classes:
  `DefaultFieldMatrixChangingVisitor`

public interface FieldMatrixChangingVisitor<T extends FieldElement<?>>
Interface defining a visitor for matrix entries.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`T`
`end()`
End visiting a matrix.
`void`
`start(int rows, int columns, int startRow, int endRow, int startColumn, int endColumn)`
Start visiting a matrix.
`T`
`visit(int row, int column, T value)`
Visit one matrix entry.

## Method Details

### start

void start(int rows, int columns, int startRow, int endRow, int startColumn, int endColumn)
Start visiting a matrix.

This method is called once before any entry of the matrix is visited.

Parameters:
  `rows` - number of rows of the matrix
  `columns` - number of columns of the matrix
  `startRow` - Initial row index
  `endRow` - Final row index (inclusive)
  `startColumn` - Initial column index
  `endColumn` - Final column index (inclusive)

### visit

T visit(int row, int column, T value)
Visit one matrix entry.

Parameters:
  `row` - row index of the entry
  `column` - column index of the entry
  `value` - current value of the entry
Returns:
  the new value to be set for the entry

### end

T end()
End visiting a matrix.

This method is called once after all entries of the matrix have been visited.

Returns:
  the value that the `walkInXxxOrder` must return